summaryrefslogtreecommitdiff
path: root/buildbot
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-02-23 19:12:59 +0100
committerChristian Grothoff <christian@grothoff.org>2020-02-23 19:12:59 +0100
commit0a62ff972354413b771d1372a5da7dec4c59d9e1 (patch)
tree5407b1c09327a4a8ffe6ef27137de236c8368f70 /buildbot
parent999b77c08b39927124875764c1c39ce7f2b1e666 (diff)
downloaddeployment-0a62ff972354413b771d1372a5da7dec4c59d9e1.tar.gz
deployment-0a62ff972354413b771d1372a5da7dec4c59d9e1.tar.bz2
deployment-0a62ff972354413b771d1372a5da7dec4c59d9e1.zip
skip prepare step in auditor, we will use existing prepared environment, also run auditor logic against the respective demo/test /home/grothoff
Diffstat (limited to 'buildbot')
-rwxr-xr-xbuildbot/make_auditor_reports.sh16
-rw-r--r--buildbot/master.cfg24
2 files changed, 26 insertions, 14 deletions
diff --git a/buildbot/make_auditor_reports.sh b/buildbot/make_auditor_reports.sh
index 56ee802..1ab964f 100755
--- a/buildbot/make_auditor_reports.sh
+++ b/buildbot/make_auditor_reports.sh
@@ -13,9 +13,6 @@ echo "Running taler-deployment build"
source ${HOME}/activate
taler-deployment build
-echo "Running taler-deployment-prepare"
-taler-deployment-prepare
-
DATE=$(date +%Y-%m-%d)
REPORT_FILE_NOEXT=${HOME}/audit_report.${DATE}
WIRE_REPORT_FILE_NOEXT=${HOME}/wire_audit_report.${DATE}
@@ -40,22 +37,25 @@ if test -a ${REPORTS_DIRECTORY}/$(basename "${REPORT_FILE_NOEXT}.pdf"); then
exit 0
fi
+
+CONFIG_FILE=${TALER_HOME}/.config/taler.conf
+
echo "Adding exchange to auditor's list"
taler-auditor-exchange \
- -c ${HOME}/.config/taler.conf \
- -m $(taler-config -s exchange -o master_public_key) \
- -u $(taler-config -s exchange -o base_url) || true
+ -c ${CONFIG_FILE} \
+ -m $(taler-config -c ${CONFIG_FILE} -s exchange -o master_public_key) \
+ -u $(taler-config -c ${CONFIG_FILE} -s exchange -o base_url) || true
# Generate first report.
echo "Running taler-auditor"
-if ! taler-auditor > "${REPORT_FILE_NOEXT}.txt"; then
+if ! taler-auditor -c ${CONFIG_FILE} > "${REPORT_FILE_NOEXT}.txt"; then
clean_files
exit 1
fi
# Generate "wire" report.
echo "Running taler-wire-auditor"
-if ! taler-wire-auditor > "${WIRE_REPORT_FILE_NOEXT}.txt"; then
+if ! taler-wire-auditor -c ${CONFIG_FILE} > "${WIRE_REPORT_FILE_NOEXT}.txt"; then
clean_files
exit 1
fi
diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index 6dfd10b..669ba6f 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -517,16 +517,28 @@ LCOV_FACTORY.addStep(
)
)
-# FIXME: 'demo' reports generator missing.
-AUDITOR_FACTORY = create_factory_with_deployment()
-AUDITOR_FACTORY.addStep(
+AUDITOR_FACTORY_TEST = create_factory_with_deployment()
+AUDITOR_FACTORY_TEST.addStep(
ShellCommand(
name="Auditor reports generator",
description="Generating auditor reports.",
descriptionDone="Auditor reports correctly generated.",
command=["./make_auditor_reports.sh"],
workdir="../../deployment/buildbot"
- )
+ env={'TALER_HOME': "/home/taler-test/"}
+ )
+)
+
+AUDITOR_FACTORY_DEMO = create_factory_with_deployment()
+AUDITOR_FACTORY_DEMO.addStep(
+ ShellCommand(
+ name="Auditor reports generator",
+ description="Generating auditor reports.",
+ descriptionDone="Auditor reports correctly generated.",
+ command=["./make_auditor_reports.sh"],
+ workdir="../../deployment/buildbot"
+ env={'TALER_HOME': "/home/demo/active-home/"}
+ )
)
TIP_RESERVE_TOPPER_FACTORY = create_factory_with_deployment()
@@ -678,13 +690,13 @@ CHECKER_BUILDER = util.BuilderConfig(
AUDITOR_BUILDER_TEST = util.BuilderConfig(
name="auditor-builder-test",
workernames=["test-auditor-worker"],
- factory=AUDITOR_FACTORY
+ factory=AUDITOR_FACTORY_TEST
)
AUDITOR_BUILDER_DEMO = util.BuilderConfig(
name="auditor-builder-demo",
workernames=["demo-auditor-worker"],
- factory=AUDITOR_FACTORY
+ factory=AUDITOR_FACTORY_DEMO
)
TIP_RESERVE_TOPPER_BUILDER_DEMO = util.BuilderConfig(